#ifndef AMP_GUI_H
#define AMP_GUI_H

#include <lvtk-2/lvtk/plugin.hpp>
#include <lvtk-2/lvtk/gtkui.hpp>

#include "labeleddial.hpp"

using namespace lvtk;
using namespace sigc;
using namespace Gtk;

class SampleHoldGUI: public UI<SampleHoldGUI, GtkUI<true>>
{
	public:
		SampleHoldGUI(const std::string& URI);
		void port_event(uint32_t port, uint32_t buffer_size, uint32_t format, const void* buffer);

	protected:
		LabeledDial* m_dialTriggerLevel;

		float get_triggerLevel();
};

#endif
