#ifndef VCSWITCHCV_GUI_H
#define VCSWITCHCV_GUI_H

#include <lvtk-2/lvtk/plugin.hpp>
#include <lvtk-2/lvtk/gtkui.hpp>

#include "labeleddial.hpp"

using namespace lvtk;
using namespace sigc;
using namespace Gtk;

class VCSwitchCVGUI: public UI<VCSwitchCVGUI, GtkUI<true>>
{
	public:
		VCSwitchCVGUI(const std::string& URI);
		void port_event(uint32_t port, uint32_t buffer_size, uint32_t format, const void* buffer);

	protected:
		LabeledDial* m_dialSwitchLevel;

		float get_switchLevel();
};

#endif
